#
# spec file for package rubygem-libwebsocket
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-libwebsocket
Version:        0.1.8
Release:        8.2
%define mod_name libwebsocket
%define mod_full_name %{mod_name}-%{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 1
Url:            http://github.com/imanel/libwebsocket
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Universal Ruby library to handle WebSocket protocol
License:        MIT
Group:          Development/Languages/Ruby

%description
Universal Ruby library to handle WebSocket protocol

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
#gem_unpack
#if you need patches, apply them here and replace the # with a % sign in the surrounding lines
#gem_build

%build

%install
%gem_install -f

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/test
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/test

%changelog
* Sat Apr 13 2013 coolo@suse.com
- updated to version 0.1.8
  - Bugfixes for Ruby 2.0.0
* Fri Nov 30 2012 coolo@suse.com
- updated to version 0.1.7.1
  - Restore behaviour of LibWebSocket::OpeningHandshake::Client#url
  - Fix for JRuby 1.7.0 in Ruby 1.9 mode
* Wed Nov 21 2012 coolo@suse.com
- updated to version 0.1.6.1
  - Fix `uninitialized constant LibWebSocket::OpeningHandshake::Forwardable` error
  [#]# 0.1.6 / 2012-11-18
  - Migrate to websocket gem
  - Remove most of deprecated and not working code
  - Frame migration is last thing that prevents this gem to support drafts 00-17(RFC)
* Sat Jul 28 2012 coolo@suse.com
- update to 0.1.5
  - Fixed problem caused by invalid draft 10 suppor
* Sun Jul 15 2012 coolo@suse.com
- update to 0.1.4
  - New gemspec and bundler files
  - Fixed some encoding errors
  - Fixes for JRuby
* Thu Apr 19 2012 coolo@suse.com
- add provides
* Tue Apr 17 2012 coolo@suse.com
- initial package
